Puzzle / Developers
API referenceMetrics

Get Employee Metrics

GET /company/{id}/metrics/employee

GET/company/{id}/metrics/employee

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

startDate*string

Calendar date, YYYY-MM-DD

Length1 <= length
endDateExclusive?string

Calendar date, YYYY-MM-DD

Length1 <= length
interval?"month"

The value is normalized before matching, so any casing that maps onto a listed value is accepted.

Value in

  • "month"

Response Body

application/json

curl -X GET "https://example.com/company/string/metrics/employee?startDate=string"
{  "metrics": [    {      "averageFullyLoadedSalaryCostPerEmployee": {        "amount": "string",        "currency": "str"      },      "averageSalaryCostPerEmployee": {        "amount": "string",        "currency": "str"      },      "totalSalaryExpense": {        "amount": "string",        "currency": "str"      },      "totalFullyLoadedSalaryExpense": {        "amount": "string",        "currency": "str"      },      "timePeriod": {        "startDate": "string",        "endDateExclusive": "string"      }    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z